package com.sonic.lion.enums;

import com.sonic.common.utils.MessageUtils;
import lombok.Getter;

/**
 * @description: 商城商城大类枚举
 * @author: mzc
 * @date: 2024-09-11 11:08
 **/
@Getter
public enum StoreGoodsCategoryEnum {
    //勋章
    MEDAL("STORE_MEDAL_BUY_ITEM_DESC"),
    //皮肤
    SKIN("STORE_SKIN_BUY_ITEM_DESC"),

    ;
    /**
     * 流水对应的描述
     */
    private String itemDesc;

    StoreGoodsCategoryEnum(String itemDesc) {
        this.itemDesc = itemDesc;
    }

    public static String getItemDesc(String storeGoodsCategory) {
        for (StoreGoodsCategoryEnum value : StoreGoodsCategoryEnum.values()) {
            if (value.name().equals(storeGoodsCategory)) {
                return MessageUtils.get(value.getItemDesc());
            }
        }
        return null;
    }
}
